"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Persona_1 = require("office-ui-fabric-react/lib/Persona");
var Checkbox_1 = require("office-ui-fabric-react/lib/Checkbox");
var TestImages_1 = require("../../../common/TestImages");
var examplePersona = {
    imageUrl: TestImages_1.TestImages.personaFemale,
    imageInitials: 'AL',
    primaryText: 'Annie Lindqvist',
    secondaryText: 'Software Engineer',
    tertiaryText: 'In a meeting',
    optionalText: 'Available at 4:00pm'
};
var PersonaBasicExample = (function (_super) {
    tslib_1.__extends(PersonaBasicExample, _super);
    function PersonaBasicExample() {
        var _this = _super.call(this) || this;
        _this.state = {
            renderPersonaDetails: true
        };
        return _this;
    }
    PersonaBasicExample.prototype.render = function () {
        var _this = this;
        var renderPersonaDetails = this.state.renderPersonaDetails;
        return (React.createElement("div", null,
            React.createElement("div", null,
                React.createElement(Checkbox_1.Checkbox, { label: 'Include persona details', checked: renderPersonaDetails, onChange: function (ev, checked) { _this.setState({ renderPersonaDetails: checked }); } })),
            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.tiny, presence: Persona_1.PersonaPresence.offline, hidePersonaDetails: !renderPersonaDetails })),
            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.extraExtraSmall, presence: Persona_1.PersonaPresence.none, hidePersonaDetails: !renderPersonaDetails })),
            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size28, presence: Persona_1.PersonaPresence.none, hidePersonaDetails: !renderPersonaDetails })),
            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.extraSmall, presence: Persona_1.PersonaPresence.online, hidePersonaDetails: !renderPersonaDetails })),
            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.small, presence: Persona_1.PersonaPresence.away, hidePersonaDetails: !renderPersonaDetails })),
            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: !renderPersonaDetails, presence: Persona_1.PersonaPresence.busy })),
            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.large, presence: Persona_1.PersonaPresence.dnd, hidePersonaDetails: !renderPersonaDetails })),
            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.extraLarge, presence: Persona_1.PersonaPresence.blocked, hidePersonaDetails: !renderPersonaDetails }))));
    };
    return PersonaBasicExample;
}(React.Component));
exports.PersonaBasicExample = PersonaBasicExample;
//# sourceMappingURL=Persona.Basic.Example.js.map